User Plans

Retrieve all plans associated with the authenticated user.

GET/users/plans

Body Parameters

Security

Authorizationstringrequired

JWT Bearer token

Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
1const response = await fetch('https://api.pinguproxy.com/users/plans', {
2 headers: {
3 'Authorization': 'Bearer your-jwt-token'
4 }
5});
6
7const plans = await response.json();

Response

Status 200
[
{
"id": 1,
"name": "Basic Plan",
"creation_date": "2023-01-01T00:00:00Z",
"expire_date": "2024-01-01T00:00:00Z",
"is_blocked": false,
"proxy_limit": 5,
"proxies": [
{
"id": 1,
"username": "user123",
"password": "pass123",
"ip": "1.1.1.1",
"port": 12933,
"assigned_proxy_ipv4": "10.0.0.1",
"assigned_proxy_ipv6": "2001:db8::1",
"is_rotating": true,
"rotate_interval": 600,
"plan_ip_class": 1
}
]
}
]